Error Types
Globus XIO GRIDFTP Client Driver
Collaboration diagram for Error Types:

## Enumerations

enum | globus_xio_gridftp_error_type_t { GLOBUS_XIO_GRIDFTP_ERROR_ATTR, GLOBUS_XIO_GRIDFTP_ERROR_SEEK, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_READ, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_WRITE, GLOBUS_XIO_GRIDFTP_ERROR_PENDING_READ, GLOBUS_XIO_GRIDFTP_ERROR_PENDING_WRITE, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_PARTIAL_XFER }

## Detailed Description

The errors reported by the GRIDFTP driver include GLOBUS_XIO_ERROR_EOF, GLOBUS_XIO_ERROR_CANCELED, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_READ, GLOBUS_XIO_GRIDFTP_ERROR_SEEK, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_WRITE, GLOBUS_XIO_GRIDFTP_ERROR_PENDING_READ, GLOBUS_XIO_GRIDFTP_ERROR_PENDING_WRITE, GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_PARTIAL_XFER.

See Also
  globus_xio_driver_error_match()
  globus_error_errno_match()

## Enumeration Type Documentation

enum globus_xio_gridftp_error_type_t

GRIDFTP driver specific error types.

Enumerator
GLOBUS_XIO_GRIDFTP_ERROR_ATTR | Indicates that an error occured in the attribute control.
GLOBUS_XIO_GRIDFTP_ERROR_SEEK | Indicates that a seek has been called while there is an outstanding io.
GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_READ | Indicates that a write has been called while there is an outstanding read.
GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_WRITE | Indicates that a read has been called while there is an outstanding write.
GLOBUS_XIO_GRIDFTP_ERROR_PENDING_READ | Indicates that a write has been called while there is a read pending.
GLOBUS_XIO_GRIDFTP_ERROR_PENDING_WRITE | Indicates that a read has been called while there is a write pending.
GLOBUS_XIO_GRIDFTP_ERROR_OUTSTANDING_PARTIAL_XFER | Indicates that a second partial xfer has been initiated while the first one is still outstanding.

about globus | globus toolkit | dev.globus
Comments? webmaster@globus.org